%def_without test
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/testlib.pm) perl(WWW/Search.pm) perl(WWW/Search/Test.pm) perl(WWW/SearchResult.pm)
# END SourceDeps(oneline)
%define module_version 1.2
%define module_name WWW-Search-RpmFind
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.2
Release: alt1
Summary: class for searching RpmFind.net
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/A/AL/ALIAN/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
This class is an RpmFind specialization of WWW::Search.
It handles making and interpreting RpmFind searches
http://RpmFind.net, a database search engine on RPM packages..

This class exports no public interface; all interaction should be done
through WWW::Search objects.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build INSTALLMAN1DIR=%_man1dir

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/W*

%files scripts
%_bindir/*
%_man1dir/*

%changelog
* Tue Apr 22 2014 Igor Vlasenko <viy@altlinux.ru> 1.2-alt1
- initial import by package builder

